cascading.tap.hadoop

## Class BaseDistCacheTap

- java.lang.Object
- - cascading.tap.Tap<Config,Input,Output>
  - - cascading.tap.DecoratorTap<Void,Configuration,RecordReader,OutputCollector>
    - - cascading.tap.hadoop.BaseDistCacheTap

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, Serializable
  Direct Known Subclasses:
    DistCacheTap

      public abstract class BaseDistCacheTap
      extends DecoratorTap<Void,Configuration,RecordReader,OutputCollector>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.tap.DecoratorTap

      `metaInfo, original`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDistCacheTap(Tap<Configuration,RecordReader,OutputCollector> original)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addLocalCacheFiles(Configuration conf, URI uri)`
    `protected abstract Path[]` | `getLocalCacheFiles(FlowProcess<? extends Configuration> flowProcess)`
    `TupleEntryIterator` | `openForRead(FlowProcess<? extends Configuration> flowProcess, RecordReader input)`
    `void` | `sourceConfInit(FlowProcess<? extends Configuration> process, Configuration conf)`

    - ### Methods inherited from class cascading.tap.DecoratorTap

      `commitResource, createResource, createResource, deleteResource, deleteResource, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getIdentifier, getMetaInfo, getModifiedTime, getModifiedTime, getNodeConfigDef, getOriginal, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hasNodeConfigDef, hasStepConfigDef, isKeep, isReplace, isSink, isSource, isTemporary, isUpdate, openForRead, openForWrite, openForWrite, outgoingScopeFor, prepareResourceForRead, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setMetaInfo, setOriginal, sinkConfInit, toString`

    - ### Methods inherited from class cascading.tap.Tap

      `equals, hashCode, id, setScheme, taps`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseDistCacheTap

          public BaseDistCacheTap(Tap<Configuration,RecordReader,OutputCollector> original)

  - ### Method Detail

    - #### sourceConfInit

          public void sourceConfInit(FlowProcess<? extends Configuration> process,
                            Configuration conf)

      Overrides:
        `sourceConfInit` in class `DecoratorTap<Void,Configuration,RecordReader,OutputCollector>`

    - #### openForRead

          public TupleEntryIterator openForRead(FlowProcess<? extends Configuration> flowProcess,
                                       RecordReader input)
                                         throws IOException

      Overrides:
        `openForRead` in class `DecoratorTap<Void,Configuration,RecordReader,OutputCollector>`
      Throws:
        `IOException`

    - #### getLocalCacheFiles

          protected abstract Path[] getLocalCacheFiles(FlowProcess<? extends Configuration> flowProcess)
                                                throws IOException

      Throws:
        `IOException`

    - #### addLocalCacheFiles

          protected abstract void addLocalCacheFiles(Configuration conf,
                                URI uri)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.